Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Robert

MESSUI and MAMEUI 0.208

Recommended Posts

MESS, MESSUI and MAMEUI 0.208 are released.

 

http://messui.1emulation.com/

 

Note that a few of the Game & Watch don't work properly in MAMEUI64 for reasons unknown. They work in MAMEUI32 though.

 

Share this post


Link to post
Share on other sites

No, as the site says, I used GCC 5.3.0

Share this post


Link to post
Share on other sites
Posted (edited)

Yeah, it's about the issue #4818 at mame github (I don't have an account to write there). If you compile mame or mameui with the latest tools, the error message "GetTickCount64" appears in windows xp. However your build works, so it's because of that tools.

I'm going to compile mameui64 with the updated tools to check the tomy handhelds bug.

EDIT: Compiling with the latest MINGW GCC at mamedev the tomy handhelds now displays properly. I Suggest to compile MameUI32 with GCC 5.3.0 to keep compatibilty with XP, and MameUI64 with GCC 8.

Edited by StHiryu

Share this post


Link to post
Share on other sites

I don't think that will be possible. You see, new netlist code has gone into the current 209GIT which requires at least GCC 7.2 to compile, however this might not work with XP. I haven't tested it though as I don't have any version of GCC 7. Is this something you can try?

 

Also, I will compile a 32-bit version of MAME 0.208 and put it on my site for any remaining XP users.

Share this post


Link to post
Share on other sites

The XP version is now available for download.

  • Thanks 1

Share this post


Link to post
Share on other sites

Compiled successfully mameui32 0.208 with the GCC 7.2.0, and it works in XP. Also I've compiled the 64bits version with the GCC 8, if you want to add it to the site, I can give you the link.

  • Thanks 2

Share this post


Link to post
Share on other sites

Since I posted about the netlist thing, the code was updated and can now be compiled with 5.3.0, so I don't need to do anything right now.

 

Thanks for checking though, now we know that 7.2 is good for XP but 7.4 (used in official build) is no good.

 

I'm going to upgrade my 64-bit compiler to the latest 8.3.0 in time for 0.209 which will fix the hh_ucom4 bug.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...